Unity3 + Mac Mini 3,1

I have this:

Mac Mini 3,1 Intel Core 2 Duo ,2 GHz - Memory: 1 GB -NVIDIA GeForce 9400 128MB - 120 Giga Hard disk - Mac Os X 10.5.6 (Leopard)

does it feet Unity3.1 minimum requirements?

thank you

The hardware should work just fine if you're not planning to build games that are extremely complex. You will however need to upgrade to Snow leopard (29usd).

http://store.apple.com/us/product/MC573Z/A#overview

I only need Mac Os because I need to develop Iphone. My last try was on a Mac Mini 1.2 and Unity refused to install.

I see that Unity needs Mac OS X "Snow Leopard" 10.6 or later

Will I be able to upgrade Leopard 10.5 to snow Leopard then? Sorry I am a Mac newbie :)